{% extends "VedranTodoBundle::layout.html.twig" %}

{% block title "Todo List project" %}

        {% block content %}

            <div class="navbar navbar-inverse navbar-fixed-top">
                <div class="container">
                    <div class="navbar-header">
                        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                        </button>
                        <a class="navbar-brand" href="#">Project name</a>
                    </div>
                    <div class="collapse navbar-collapse">
                        <ul class="nav navbar-nav">
                            <li class="active"><a href="#">Home</a></li>
                            <li><a href="#about">About</a></li>
                            <li><a href="#contact">Contact</a></li>
                        </ul>
                    </div><!--/.nav-collapse -->
                </div>
            </div>

            <h1>Hello, {{ username }}!</h1>

            <div class="container" ng-app>


                {% for list in lists %}
                    <div ng-controller="TodoCtrl" class="liststicker">

                        <h2>Todo List: {{ list.name }}</h2>
                        <input type="text" ng-model="listName"
                               placeholder="Add List name" value="{{ list.name }}">
                        <br />
                        <br />


                    </div>
                {% endfor %}


                {% verbatim %}
                <div ng-controller="TodoCtrl" class="liststicker">
                    <h2>Todo List: {{ listName }}</h2>

                    <input type="text" ng-model="listName"
                           placeholder="Add List name">

                    <br />
                    <br />

                    <span>{{remaining()}} of {{todos.length}} remaining</span>
                    [ <a href="" ng-click="archive()">Clear completed</a> ]
                    <ul class="unstyled">
                        <li ng-repeat="todo in todos">
                            <input type="checkbox" ng-model="todo.done">
                            <span class="done-{{todo.done}}">{{todo.text}}</span>
                        </li>
                    </ul>
                    <form ng-submit="addTodo()">
                        <input type="text" ng-model="todoText"  size="30"
                               placeholder="add new todo here">
                        <input class="btn-primary" type="submit" value="add">
                    </form>

                    <br />
                    <br />

                    <p>
                        <input class="btn-primary btn-large" ng-click="postData()" type="button" value="Save List">
                    </p>

                </div>


                <div ng-controller="TodoCtrl" class="liststicker">
                    <h2>Todo List: {{ listName }}</h2>

                    <input type="text" ng-model="listName"
                           placeholder="Add List name">

                    <br />
                    <br />

                    <span>{{remaining()}} of {{todos.length}} remaining</span>
                    [ <a href="" ng-click="archive()">Clear completed</a> ]
                    <ul class="unstyled">
                        <li ng-repeat="todo in todos">
                            <input type="checkbox" ng-model="todo.done">
                            <span class="done-{{todo.done}}">{[{todo.text}]}</span>
                        </li>
                    </ul>
                    <form ng-submit="addTodo()">
                        <input type="text" ng-model="todoText"  size="30"
                               placeholder="add new todo here">
                        <input class="btn-primary" type="submit" value="add">
                    </form>

                    <br />
                    <br />

                    <p>
                        <input class="btn-primary btn-large" ng-click="postData()" type="button" value="Save List">
                    </p>

                </div>
                {% endverbatim %}

            </div><!-- /.container -->


        {% endblock %}